# checkpoint_host – Manages host objects on Check Point over Web Services API

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages host objects on Check Point devices including creating, updating, removing access rules objects. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auto_install_policy
boolean

Choices:
- no
- yes ←

Install the package policy if changes have been performed after the task completes.

auto_publish_session
boolean

Choices:
- no
- yes ←

Publish the current session if changes have been performed after task completes.

ip_address string |  | IP address of the host object.
name string / required |  | Name of the access rule.
policy_package string | Default: "standard" | Package policy name to be installed.
state string | Default: "present" | State of the access rule (present or absent). Defaults to present.
targets list |  | Targets to install the package policy on.

## Examples

    - name: Create host object
      checkpoint_host:
        name: attacker
        ip_address: 192.168.0.15

    - name: Delete host object
      checkpoint_host:
        name: attacker
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
checkpoint_hosts list | always, except when deleting the host. | The checkpoint host object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.